org.apache.ignite.internal.processors.timeout

## Interface GridTimeoutObject

All Known Implementing Classes:
  DeadlockDetectionManager.DelayedDeadlockComputation, GridCacheDistributedFieldsQueryFuture, GridCacheDistributedQueryFuture, GridCacheLocalFieldsQueryFuture, GridCacheLocalQueryFuture, GridCacheQueryFutureAdapter, GridDhtTxAbstractEnlistFuture.LockTimeoutObject, GridJobWorker, GridNearTxLocal, GridSpiTimeoutObject, GridTaskWorker, GridTimeoutObjectAdapter, GridTimeoutProcessor.CancelableTask, PartitionDefferedDeleteQueueCleanupTask

    public interface GridTimeoutObject

All objects that can timeout should implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `endTime()`
`void` `onTimeout()` Timeout callback.
`IgniteUuid` `timeoutId()`

### Method Detail

#### timeoutId

    IgniteUuid timeoutId()

Returns:
  ID of the object.

#### endTime

    long endTime()

Returns:
  End time.

#### onTimeout

    void onTimeout()

Timeout callback.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021